Update OTT template
curl --request PUT \
--url https://api-message.nativehub.live/api/v1/ott/templates/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Updated Welcome Message",
"body": "Hi {{name}}, thanks for joining us!"
}
'import requests
url = "https://api-message.nativehub.live/api/v1/ott/templates/{id}"
payload = {
"name": "Updated Welcome Message",
"body": "Hi {{name}}, thanks for joining us!"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Updated Welcome Message',
body: JSON.stringify('Hi {{name}}, thanks for joining us!')
})
};
fetch('https://api-message.nativehub.live/api/v1/ott/templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "a9b0c1d2-e3f4-5678-ab90-123456789012",
"tenant_id": "c3d4e5f6-a7b8-9012-cdef-123456789012",
"channel_id": "f8a9b0c1-d2e3-4567-fa89-012345678901",
"name": "Welcome Message",
"body": "Hello {{name}}, welcome to our service!",
"variables": {
"name": "string"
},
"status": "approved",
"created_at": "2026-02-02T09:00:00Z"
}{
"error": "Invalid request parameters"
}OTT Templates
Update OTT template
Update an existing OTT template
PUT
/
ott
/
templates
/
{id}
Update OTT template
Authorizations
BearerAuthApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
OTT Template ID
⌘I